var $table = $('#table');
var token = $.cookie("token");
//搜索功能
$('.search').click(function() {
	initTable(token);
})
//==================添加功能开始================================
$('.add').click(function() {
	$('.addModel').css('display', 'block');
})
//添加关闭按钮
$('.addBtr').click(function() {
	$('.addModel').css('display', 'none');
})
//保存按钮
$('.addCun').click(function() {
	if($('.add_value').val() == '' && $('.add_code').val() == '') {
		$('.addCode_kong').css('display', 'inline-block');
		$('.addValue_kong').css('display', 'inline-block');
	} else if($('.add_value').val() == '') {
		$('.addCode_kong').css('display', 'none');
		$('.addValue_kong').css('display', 'inline-block');
	} else if($('.add_code').val() == '') {
		$('.addValue_kong').css('display', 'none');
		$('.addCode_kong').css('display', 'inline-block');
	} else {
		$('.addModel').css('display', 'none');
		add();
	}

})

function add() {
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "SysConfig/Add",
		async: true,
		dataType: 'json',
		data: {
			token: token,
			value: $('.add_value').val(), //参数内容
			code: $('.add_code').val(), //参数名称
			des: $('.add_des').val() //参数描述
		},
		success: function(data) {
			if(data.state.toLowerCase() == "success") {
				layer.msg("添加成功！");
				$table.bootstrapTable('refresh');
			}
		}
	});

}
//******************添加功能结束*****************************
var IdsName;
//==================修改功能开始================================
$('.change').click(function() {
	var ids = $.map($table.bootstrapTable('getSelections'), function(row) {
		return row.F_ParamId;
	});
	IdsName = ids.toString();
	if(ids.length <= 0) {
		layer.confirm('请选择要修改的行！', {
			btn: ['确定']
		});
		return;
	} else {
		$('.changeModel').css('display', 'block');
		chanGet(IdsName);
	}
})
//关闭按钮
$('.changeBtr').click(function() {
	$('.changeModel').css('display', 'none');
})
//保存按钮
$('.changeCun').click(function() {
	if($('.change_value').val() == '' && $('.change_code').val() == '') {
		$('.changeCode_kong').css('display', 'inline-block');
		$('.changeValue_kong').css('display', 'inline-block');
	} else if($('.change_value').val() == '') {
		$('.changeCode_kong').css('display', 'none');
		$('.changeValue_kong').css('display', 'inline-block');
	} else if($('.change_code').val() == '') {
		$('.changeValue_kong').css('display', 'none');
		$('.changeCode_kong').css('display', 'inline-block');
	} else {
		$('.changeModel').css('display', 'none');
		chanSubmit(IdsName);
	}

})

function chanGet(IdsName) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "SysConfig/GetModel",
		async: true,
		dataType: 'json',
		data: {
			token: token,
			id: IdsName,
		},
		success: function(data) {
			var con = data.data;
			if(data.state.toLowerCase() == "success") {
				$('.change_value').val(con.F_ParamValue), //参数内容
					$('.change_code').val(con.F_ParamCode), //参数名称
					$('.change_des').val(con.F_ParamDes) //参数描述
			}
		}
	});
}

function chanSubmit(IdsName) {
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "SysConfig/Edit",
		async: true,
		dataType: 'json',
		data: {
			token: token,
			id: IdsName, //参数id
			value: $('.change_value').val(), //参数内容
			code: $('.change_code').val(), //参数名称
			des: $('.change_des').val() //参数描述
		},
		success: function(data) {
			if(data.state.toLowerCase() == "success") {
				layer.msg("修改成功");
				$table.bootstrapTable('refresh');
			}
		}
	});
}
//******************修改功能结束*****************************

//==================删除功能开始================================
//删除按钮
var idd;
$('.del').click(function() {
	idd = $.map($table.bootstrapTable('getSelections'), function(row) {
		return row.F_ParamId;
	});
	if(idd.length <= 0) {
		layer.confirm('请选择要删除的行！', {
			btn: ['确定']
		});
		return;
	} else {
		$('.delModel').css('display', 'block');
	}

})
//关闭按钮
$('.delBtr').click(function() {
	$('.delModel').css('display', 'none');
})
//确认按钮
$('.sure').click(function() {
	console.log(idd);
	$('.delModel').css('display', 'none');
	del(idd);
})
//取消按钮
$('.return').click(function() {
	$('.delModel').css('display', 'none');
})

function del(idd) {
	console.log(idd)
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "SysConfig/Delete",
		async: true,
		dataType: 'json',
		data: {
			token: token,
			ids: idd
		},
		success: function(data) {
			if(data.state.toLowerCase() == "success") {
				layer.msg("删除成功!");
				$table.bootstrapTable('refresh');
			}
		}
	});
}
//*****************删除功能结束****************************
//右边表格
initTable(token);

function initTable(token) {
	//先销毁表格
	$table.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$table.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "SysConfig/GetList", //获取数据的Servlet地址
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 15, 20, 30, 50], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				token: token,
				value: $('.sear_value').val(),
				code: $('.sear_code').val()
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

function setCode(val, row, index) {
	var page = $table.bootstrapTable("getPageCode");
	return page.pageSize * (page.pageNumber - 1) + index + 1;
}
$table.on("click-row.bs.table", function(e, row, ele) {

});